/**
 * This software is provided under the terms of the Minecraft Forge Public
 * License v1.0.
 */

package net.minecraftforge.common;

public class ForgeVersion
{
    //This number is incremented every Minecraft version, and never reset
    public static final int majorVersion    = 4;
    //This number is incremented every official release, and reset every Minecraft version
    public static final int minorVersion    = 1;
    //This number is incremented every time a interface changes, and reset every Minecraft version
    public static final int revisionVersion = 1;
    //This number is incremented every time Jenkins builds Forge, and never reset. Should always be 0 in the repo code.
    public static final int buildVersion    = 252;
    
    public static int getMajorVersion()
    {
        return majorVersion;
    }
    
    public static int getMinorVersion()
    {
        return minorVersion;
    }
    
    public static int getRevisionVersion()
    {
        return revisionVersion;
    }
    
    public static int getBuildVersion()
    {
        return buildVersion;
    }
    
    public static String getVersion()
    {
        return String.format("%d.%d.%d.%d", majorVersion, minorVersion, revisionVersion, buildVersion);
    }
}

